/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

import java.io.File;

/**
 * @author Michael Hashimoto
 */
public class AxisTestClassGroup extends BaseTestClassGroup {

	public String getBatchName() {
		return _batchTestClassGroup.getBatchName();
	}

	public BatchTestClassGroup getBatchTestClassGroup() {
		return _batchTestClassGroup;
	}

	public int getId() {
		return _id;
	}

	protected AxisTestClassGroup(
		BatchTestClassGroup batchTestClassGroup, int id) {

		_batchTestClassGroup = batchTestClassGroup;
		_id = id;
	}

	protected void addTestClassFile(File testClassFile) {
		testClassFiles.add(testClassFile);
	}

	private final BatchTestClassGroup _batchTestClassGroup;
	private final int _id;

}